summaryrefslogtreecommitdiffstats
path: root/office/evolution-ews
diff options
context:
space:
mode:
Diffstat (limited to 'office/evolution-ews')
-rw-r--r--office/evolution-ews/README13
-rw-r--r--office/evolution-ews/evolution-ews.SlackBuild128
-rw-r--r--office/evolution-ews/evolution-ews.info10
-rw-r--r--office/evolution-ews/slack-desc19
4 files changed, 170 insertions, 0 deletions
diff --git a/office/evolution-ews/README b/office/evolution-ews/README
new file mode 100644
index 0000000000..f249345fbc
--- /dev/null
+++ b/office/evolution-ews/README
@@ -0,0 +1,13 @@
+Evolution EWS is an open source and freely distributed software project
+that contains an extension for the Evolution email, calendar and
+groupware client that adds support for Exchange Web Service (EWS). This
+plugin allows users of the Evolution application to add Exchange email
+addresses.
+
+For Microsoft Exchange 2007, 2010 and newer it is recommended to use
+the package evolution-ews.
+
+Below variables can be used to configure the build:
+ GCOV=yes : Enable build with GCOV code coverage
+ Requires gcov
+ TESTING=yes : Build the testing tree
diff --git a/office/evolution-ews/evolution-ews.SlackBuild b/office/evolution-ews/evolution-ews.SlackBuild
new file mode 100644
index 0000000000..38cf4ba24b
--- /dev/null
+++ b/office/evolution-ews/evolution-ews.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/bash
+
+# Slackware build script for evolution-ews
+
+# Copyright 2022 Ozan Türkyılmaz
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=evolution-ews
+VERSION=${VERSION:-3.44.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+GCOV=${GCOV:-no}
+TESTING:${TESTING:-no}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+if [ "$GCOV" = "yes" ]; then
+ GCOVP="ON"
+else
+ GCOVP="OFF"
+fi
+
+if [ "$TESTING" = "yes" ]; then
+ TESTINGP="ON"
+else
+ TESTINGP="OFF"
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DENABLE_CODE_COVERAGE="$GCOVP" \
+ -DBUILD_TESTING="$TESTINGP" \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DCMAKE_BUILD_TYPE=Release .. \
+ -G Ninja
+
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/evolution-ews/evolution-ews.info b/office/evolution-ews/evolution-ews.info
new file mode 100644
index 0000000000..f0d8ba3f62
--- /dev/null
+++ b/office/evolution-ews/evolution-ews.info
@@ -0,0 +1,10 @@
+PRGNAM="evolution-ews"
+VERSION="3.44.4"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evolution/"
+DOWNLOAD="https://download.gnome.org/sources/evolution-ews/3.44/evolution-ews-3.44.4.tar.xz"
+MD5SUM="08dcfad674ddb3a50240ab65da57016b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="evolution libmspack"
+MAINTAINER="Ozan Türkyılmaz"
+EMAIL="ozan.turkyilmaz@gmail.com"
diff --git a/office/evolution-ews/slack-desc b/office/evolution-ews/slack-desc
new file mode 100644
index 0000000000..cfb3e2c19d
--- /dev/null
+++ b/office/evolution-ews/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+evolution-ews: evolution-ews (Exchange Web Services)
+evolution-ews:
+evolution-ews:
+evolution-ews: For accessing Exchange servers using Web Services while using
+evolution-ews: Evolution Email Client.
+evolution-ews:
+evolution-ews: For Microsoft Exchange 2007, 2010 and newer it is recommended to use
+evolution-ews: the package evolution-ews.
+evolution-ews:
+evolution-ews: https://wiki.gnome.org/Apps/Evolution/
+evolution-ews: